
# https://www.chordsound.com/tabs-MOZART_WOLFGANG_AMADEUS-Requiem_Confutatis-57060.html#cont_box_chords
from pyharmonytools.displays.console_for_guitar_tab import ConsoleForGuitarTab
from pyharmonytools.guitar.guitar_tab.guitar_tab import GuitarTab

song_1st_phrase = """
e|-------------------------------------------------------------------------------------------------|
B|-------------------------------------------------------------------------------------------------|
G|-------------------------------------------------------------------------------------------------|
D|------------------------------------------------------------0-0-0-0----------------0-0-0-0-------|
A|-0-2-3-3-3-3-2-0-0-0-0-2-3-3-3-3-2-0-0-0-2-3-----------3-2-2-2-2-3-----------3-2-2-2-------------|
E|-------------------------------------------------------------------------------------------------|

e|-------------------------------------------------------------------------------------------------|
B|-------------------------------------------------------------------------------------------------|
G|-------------------------------------------------------------------------------------------------|
D|----0-2-2-2-2-0------------0-2-2-2-2-0--------0-2-3-3-3-3-2-0-0-0-0-2-3-3-3-3-2-0-0-0------------|
A|--3----------------3-3-3-3------------------3-3-3------------------------------------------------|
E|-------------------------------------------------------------------------------------------------|

e|-----------------------------------------------------|
B|----0-0-0-0----------------1-1-1-1-----------5-------|
G|--1-----------1-----------2-----------2---------4----|
D|2---------------2-2-2-2----------------2-2-2-2-------|
A|-----------------------------------------------------|
E|-----------------------------------------------------|
"""
part_during_singing = """
e|-----------------------------------------------------------------------------------------|
B|-----------------1-0---------------------------2----------1-0----------------------------|
G|---------------0-----2-0-------------0------0--0------0-----2-0--------------0-----------|
D|-2-2-1-0--2------------3-2-0-2-3------2-----2--2------------3-2-0-2-3--------------------|
A|-----------3-------------------------------3---------3-----------------------------------|
E|------------------------------------------3-------------------------------------------3--|
"""
part_during_singing2 = """
    e|---------|--------|--------|--------|--------|
    B|---------|--------|1-0-----|--------|--------|
    G|---------|------0-|----2-0-|--------|----0---|
    D|-2-2-1-0-|-2------|------3-|2-0-2-3-|-----2--|
    A|---------|--3-----|--------|--------|--------|
    E|---------|--------|--------|--------|--------|

    e|--------|--------|--------|--------|--------|--------|
    B|------2-|--------|-1-0----|--------|--------|--------|
    G|---0--0-|-----0--|---2-0--|--------|----0---|--------|
    D|---2--2-|--------|---3-2-0|-2-3----|--------|--------|
    A|--3-----|----3---|--------|--------|--------|--------|
    E|-3------|--------|--------|--------|--------|-----3--|
    """

variation_on_first_part = """
    e|--------|--------|--------|--------|--------|--------|--------|--------|--------|-----|
    B|--------|--------|--------|--------|--------|--------|--------|--------|--------|-----|
    G|--------|--------|--------|--------|--------|--------|--------|--------|--------|-----|
    D|--0-2-2-|2-1-0---|--------|--------|--------|--------|0-2-4-4-|4-3-2-0-|0-------|-----|
    A|3-------|--------|-3-3-3--|-0-2-2-2|-1-0----|--------|--------|--------|--------|-----|
    E|--------|--------|--------|--3-----|--------|----3-3-|3-------|--------|--------|-----|
                                                                                      
    e|--------|--------|--------|--------|--------|--------|--------|--------|--------|--------|--------|--------|
    B|--------|--------|--------|--------|--------|--------|--------|--------|--------|--------|--------|--------|
    G|--------|--------|--------|----1-1-|1-0-----|--------|--------|--------|--------|--------|--------|--0-0-0-|
    D|0-------|--------|--------|----2-4-|--------|--4-2-2-|2-------|--------|----0-0-|0--0-2-2|-2-2-3--|-------4|
    A|--0-2-4-|4-4-3-2-|0-0-0---|--------|--------|-------0|-2-3-3-3|-2-3----|----3---|--------|--------|--------|
    E|--------|--------|--------|--------|--------|--------|--------|--------|--------|--------|--------|--------|
    
    e|--------|--------|--------|--------|--------|--------|--------|--------|--------|--------|--------|-------|
    B|------0-|0-0-----|-0-0-0--|-0-1-1-1|--------|--------|--------|--------|--------|--------|------5-|-------|
    G|0-2-----|----1-2-|--------|2-------|----0-2-|3-3-3---|0-2-2-2-|2-0-----|------0-|2-2-2-2-|0-------|--4----|
    D|--------|--------|--------|--------|--------|-------4|--------|--------|-4-4-4-3|--------|--------|3-3-3-3|
    A|--------|--------|--------|--------|--------|--------|--------|--------|--------|--------|--------|-------|
    E|--------|--------|--------|--------|--------|--------|--------|--------|--------|--------|--------|-------|
    """
second_soprano_verse1 = """
    e|--------|--------|--------|--------|--------|--------|
    B|--------|--------|--------|--------|--------|--------|
    G|--------|--------|-2-0----|--------|--------|--------|
    D|2-0-----|-----2--|----3-2-|0-------|-0-2-0-2|-----3-2|
    A|-----3-2|-0-3----|--------|---3-2-3|--------|---0----|
    E|--------|--------|--------|--------|--------|--------|

    e|--------|--------|--------|--------|--------|------|
    B|--------|--------|--3-1---|--------|--------|------|
    G|-0------|-----2--|---3-2-0|--------|-0-2----|------|
    D|-0-3----|--------|---3-2-3|1------0|-3-2-0-2|-3----|
    A|--------|--------|--------|--------|-----0--|------|
    E|--------|--------|--------|--------|--------|------|
        
    e|--------|--------|--------|--------|--------|--------|
    B|--------|--------|--------|--------|--------|--------|
    G|0--0--0-|--------|--------|--------|--------|--------|
    D|--3-----|---2-0--|-0-2-3--|----3-3-|--0-----|----0-2-|
    A|--------|--3-----|-3------|--3-0---|---2---3|-2-3----|
    E|------3-|--------|--------|--------|--------|--------|

    e|--------|--------|--------|--------|--------|------|
    B|--------|--------|--------|--------|--------|------|
    G|--------|--------|-0------|--------|--------|------|
    D|0-------|----4-3-|2-0-2-3-|2-3-0--0|-2-0-2--|------|
    A|------3-|2-0-----|--------|--------|3-------|---0--|
    E|--------|--------|--------|--------|--------|------|    
    
    e|--------|--------|1-1-1-5-|5-5-8-8-|8-5-5-5-|2-2-2---|
    B|--------|1-1-1---|--------|--------|--------|--------|
    G|2-2-2---|--------|--------|--------|--------|--------|
    D|--------|--------|--------|--------|--------|--------|
    A|--------|--------|--------|--------|--------|--------|
    E|--------|--------|--------|--------|--------|--------|
"""
second_soprano_verse2 = """
    e|--------|--------|--------|--------|--------|------|
    B|-------1|-1-1-2-2|-2------|--------|--------|------|
    G|--------|--------|-------3|-3-3-0-0|-0------|------|
    D|--------|--------|--------|--------|--------|------|
    A|--------|--------|--------|------3-|3-3-2-2-|2-----|
    E|--------|--------|--------|--------|--------|------|
    
    e|--------|--------|--------|--------|--------|--------|
    B|--------|--------|--------|--------|---0-0-0|-4-4-4--|
    G|--------|--------|--------|---0-0-0|--------|--------|
    D|--------|--------|--------|--------|--------|--------|
    A|2-2-2-1-|1-1-1-1-|1-------|--------|--------|--------|
    E|--------|--------|--------|-3------|--------|--------|

    e|---3-3-3|-7-7-7-4|-4-4-1-1|-1------|--------|---------|
    B|--------|--------|--------|--0-0-0-|1-1-1---|---------|
    G|--------|--------|--------|--------|--------|--2-2-2--|
    D|--------|--------|--------|--------|--------|---------|
    A|--------|--------|--------|--------|--------|---------|
    E|--------|--------|--------|--------|--------|---------|    

    e|--------|--------|--------|--------|--------|--------|
    B|--------|--------|--------|--------|--------|--------|
    G|--------|--------|--------|--------|--------|-------0|
    D|4-4-4---|--------|--------|--------|-------4|-4-4----|
    A|--------|-3-3-3-1|-1-1-1-1|-1-3-3-3|--------|--------|
    E|--------|--------|--------|--------|--------|--------|
    
    e|--------|--------|--------|-3-3-3-6|-6-6-3-3|-3-0-0-0-|
    B|--------|--3-3-3-|--------|--------|--------|---------|
    G|-0-0-3-3|-3------|--------|--------|--------|---------|
    D|--------|--------|--------|--------|--------|---------|
    A|--------|--------|--------|--------|--------|---------|
    E|--------|--------|--------|--------|--------|---------|

    e|--------|--------|--------|--------|1-1-1-5-|5-5-2-2-|
    B|0-0-0-0-|0-0-----|--------|--------|--------|--------|
    G|--------|--------|--------|--------|--------|--------|
    D|--------|--------|3-3-3-4-|4-4-----|--------|--------|
    A|--------|--------|--------|--------|--------|--------|
    E|--------|--------|--------|--------|--------|--------|
"""
second_soprano_verse3 = """    
    e|2-------|--------|--------|--------|--------|---------|
    B|----4-4-|4-------|--------|--------|--------|---------|
    G|----2-2-|2-2-2-2-|--------|--------|1-1-1---|---------|
    D|--------|--------|----2-2-|2-3-3-3-|-------3|-3-------|
    A|--------|--------|--------|--------|--------|---------|
    E|--------|--------|--------|--------|--------|---------|

    e|--------|--------|--------|--------|--------|--------|
    B|--------|--------|--------|--------|--------|--------|
    G|--0-0-0-|--------|0-0-0---|--------|--------|--------|
    D|3-------|--2-2-2-|-------3|-3-3----|----3-3-|3-------|
    A|--------|--------|--------|--------|--3-3-3-|-------3|
    E|--------|--------|--------|--------|--------|--------|

    e|--------|--------|
    B|--------|--------|
    G|--------|--------|
    D|---3----|--------|
    A|-3-3----|---4----|
    E|--------|--------|
"""

print("song_1st_phrase")
gt1 = GuitarTab(song_1st_phrase)
ConsoleForGuitarTab.display(gt1)

print("part_during_singing2")
gt2 = GuitarTab(part_during_singing2)
ConsoleForGuitarTab.display(gt2)

print("variation_on_first_part")
gt3 = GuitarTab(variation_on_first_part)
ConsoleForGuitarTab.display(gt3)

print("second_soprano_verse1")
#gt4 = GuitarTab(second_soprano_verse1)
#ConsoleForGuitarTab.display(gt4)

print("second_soprano_verse2")
gt4 = GuitarTab(second_soprano_verse2)
ConsoleForGuitarTab.display(gt4)

print("second_soprano_verse3")
gt4 = GuitarTab(second_soprano_verse3)
ConsoleForGuitarTab.display(gt4)